node-json5_0.5.1-1_all.deb


Advertisement

Description

node-json5 - JSON for the ES5 era

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename node-json5_0.5.1-1_all.deb
Package name node-json5
Package version 0.5.1
Package release 1
Package architecture all
Package type deb
Category universe/web
Homepage http://json5.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 13.43 KB
Installed size 48.00 KB
JSON5 is a proposed extension to JSON that aims to make it easier for
humans to write and maintain by hand. It does this by adding some
minimal syntax features directly from ECMAScript 5.
JSON5 remains a strict subset of JavaScript, adds no new data types,
and works with all existing JSON content.
JSON5 is not an official successor to JSON, and JSON5 content may not
work with existing JSON parsers. For this reason, JSON5 files use a
new .json5 extension. (TODO: new MIME type needed too.)
The code here is a reference JavaScript implementation for both Node.js
and all browsers. It’s based directly off of Douglas Crockford’s own
JSON implementation, and it’s both robust and secure.
Node.js is an event-based server-side JavaScript engine.

Alternatives

Package Version Architecture Repository
node-json5_0.5.1-1_all.deb 0.5.1 all Ubuntu Universe
node-json5 - - -

Requires

Name Value
nodejs -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package node-json5_0.5.1-1_all.deb
Source Package node-json5

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install node-json5 deb package:
    # sudo apt-get install node-json5

Files

Path
/usr/bin/json5
/usr/lib/nodejs/json5/package.json
/usr/lib/nodejs/json5/lib/cli.js
/usr/lib/nodejs/json5/lib/json5.js
/usr/lib/nodejs/json5/lib/require.js
/usr/share/doc/node-json5/README.md.gz
/usr/share/doc/node-json5/changelog.Debian.gz
/usr/share/doc/node-json5/copyright

Changelog

2018-02-09 - Pirate Praveen <praveen@debian.org>
node-json5 (0.5.1-1) unstable; urgency=medium
* Team upload
* New upstream release
* Modernize packaging (change section, bump standards, bump compat)
* Enable tests (disable failing tests)
2016-11-12 - Thorsten Alteholz <debian@alteholz.de>
node-json5 (0.5.0-1) unstable; urgency=medium
* Initial release

See Also

Package Description
node-jsonfile_5.0.0-1_all.deb Easily read/write JSON files in Node.js
node-jsonify_0.0.0-1_all.deb JSON without touching any globals
node-jsonld_1.5.3-1_all.deb JSON-LD processor - Node library
node-jsonminify_0.4.1+dfsg1-1_all.deb Minify blocks of JSON-like content into valid JSON
node-jsonparse_1.3.1-6_all.deb Pure javascript JSON streaming parser for node.js
node-jsonselect_0.4.0+dfsg3-1_all.deb CSS-like selectors for JSON
node-jsonstream_1.3.2-1_all.deb streaming JSON.parse and stringify
node-jsprim_1.4.0-1_all.deb utilities for primitive JavaScript types
node-jssip_0.6.34-5build1_all.deb JavaScript implementation of a WebRTC SIP video phone
node-jstimezonedetect_1.0.6-2_all.deb Finds the zone info key representing the timezone setting
node-jsv_4.0.0+ds1-1_all.deb extendable, fully compliant JSON schema validator for NodeJS
node-jszip-utils_0.0.2+dfsg-1_all.deb collection of cross-browser utilities to go along with JSZip
node-jszip_3.1.4+dfsg-1_all.deb Create, read and edit .zip files with Javascript
node-katex_0.8.3+dfsg-1_all.deb Fast math typesetting for the web
node-keese_1.1.1-1_all.deb arbitrary-precision floats encoded as strings - Node.js module
Advertisement
Advertisement